Bug 808769 - Review Request: jaxb2-common-basics - JAXB2 Basics
Review Request: jaxb2-common-basics - JAXB2 Basics
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On: 808768
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-31 13:23 EDT by gil cattaneo
Modified: 2012-06-05 02:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-03 19:24:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-03-31 13:23:39 EDT
Spec URL: http://gil.fedorapeople.org/jaxb2-common-basics.spec
SRPM URL: http://gil.fedorapeople.org/jaxb2-common-basics-0.6.3-1.fc16.src.rpm
Description: JAXB2 Basics is a part of JAXB2 Commons project which
implements plugins and tools for JAXB 2.x reference
implementation.
Comment 1 Mikolaj Izdebski 2012-05-10 07:03:07 EDT
jaxb2-common-basics doesn't build in rawhide because of missing dependencies. Please resolve this problem before I can take this review.

A snippet of mock build log:

Getting requirements for jaxb2-common-basics-0.6.3-1.fc18.src
 --> 1:java-1.7.0-openjdk-devel-1.7.0.3-2.1.fc18.6.i686
 --> jpackage-utils-1.7.5-17.fc18.i686
 --> sonatype-oss-parent-6-3.fc17.noarch
Error: No Package found for annox
Comment 2 Mikolaj Izdebski 2012-05-10 07:06:22 EDT
My bad, I didn't notice the bug dependency. I will probably do this review after annox.
Comment 3 gil cattaneo 2012-05-15 10:42:01 EDT
tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4078625
Comment 4 Mikolaj Izdebski 2012-05-17 05:06:30 EDT
I'm taking this review.
Comment 5 Mikolaj Izdebski 2012-05-17 05:18:14 EDT
[!]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

The license text
(http://confluence.highsource.org/display/J2B/License) says that
"Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution",
but binary RPMs don't install the license as documentation nor
reproduce it in any other way. It would be a good idea to ask upstream
to include the license text.

Solution: Please install the license along with binary packages.


[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.

The package doesn't include license file, please query upstream.


Summary
=======

1. Ask upstream to include license text
2. Install license file along with both packages

Please correct the above flaws.

For more info see:
http://lists.fedoraproject.org/pipermail/legal/2012-May/001908.html
Comment 7 Mikolaj Izdebski 2012-05-17 08:10:49 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint jaxb2-common-basics-0.6.3-2.fc18.src.rpm

jaxb2-common-basics.src: W: invalid-url Source0: jaxb2-common-basics-0.6.3-src-svn.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint jaxb2-common-basics-javadoc-0.6.3-2.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint jaxb2-common-basics-0.6.3-2.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.



[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
Package has no sources or they are generated by developer
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[!]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0: jaxb2-common-basics-0.6.3-src-svn.tar.gz (jaxb2-common-
     basics-0.6.3-src-svn.tar.gz) Source1: jaxb2-common-basics-LICENSE (jaxb2
     -common-basics-LICENSE) Patch0: jaxb2-common-basics-0.6.3-fixbuild.patch
     (jaxb2-common-basics-0.6.3-fixbuild.patch)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[-]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms



Issues:
=======

jaxb2-common-basics installs 6 JARs and puts them in %_javadir, which
is against packaging guideliness. It says that "if the number of
provided JAR files exceeds two, you MUST place them into a
sub-directory named %{name}."

./usr/share/java/jaxb2-basics-ant.jar
./usr/share/java/jaxb2-basics-runtime.jar
./usr/share/java/jaxb2-basics.jar
./usr/share/java/jaxb2-basics-testing.jar
./usr/share/java/jaxb2-basics-tools.jar
./usr/share/java/jaxb2-basics-annotate.jar

Please install all jar files in a separate %_javadir subdirectory, as
required bu packaging guideliness. Then I'll approve.
Comment 8 gil cattaneo 2012-05-17 08:40:53 EDT
Spec URL:
http://gil.fedorapeople.org/jaxb2-common-basics/3/jaxb2-common-basics.spec
SRPM URL:
http://gil.fedorapeople.org/jaxb2-common-basics/3/jaxb2-common-basics-0.6.3-3.fc16.src.rpm
- install all jar files in a separate %%_javadir subdirectory
Comment 9 Mikolaj Izdebski 2012-05-18 05:03:21 EDT
Everything is OK now, builds on koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4085502

================
*** APPROVED ***
================
Comment 10 gil cattaneo 2012-05-18 05:09:09 EDT
New Package SCM Request
=======================
Package Name: jaxb2-common-basics
Short Description: JAXB2 Basics
Owners: gil
Branches: f17
InitialCC: java-sig
Comment 11 Jason Tibbitts 2012-05-19 14:25:42 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-05-26 07:43:15 EDT
jaxb2-common-basics-0.6.3-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jaxb2-common-basics-0.6.3-3.fc17
Comment 13 Fedora Update System 2012-05-26 18:21:07 EDT
jaxb2-common-basics-0.6.3-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 14 Fedora Update System 2012-06-03 19:24:26 EDT
jaxb2-common-basics-0.6.3-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.